Bug 251128 - Review Request: perl-Test-Script - Cross-platform basic tests for scripts
Summary: Review Request: perl-Test-Script - Cross-platform basic tests for scripts
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 251110
Blocks: 249807 729601
TreeView+ depends on / blocked
 
Reported: 2007-08-07 10:13 UTC by Ralf Corsepius
Modified: 2012-03-30 18:06 UTC (History)
4 users (show)

Fixed In Version: 1.02-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-27 12:56:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2007-08-07 10:13:21 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Script.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Test-Script-1.02-1.fc7.src.rpm

Description: 
The intent of this module is to provide a series of basic tests for scripts
in the bin directory of your Perl distribution.

This package is a prerequisite of perl-Test-Inline. 
Without perl-Test-Script, upgrading/bug-fixing perl-Test-Inline is not possible.

Comment 1 Ralf Corsepius 2007-09-12 09:01:35 UTC
Ping? Would somebody please be so kind to review this?

It blocks me from being able to upgrade perl-Test-Inline.


Comment 2 Ralf Corsepius 2007-09-18 14:08:45 UTC
Ping^2. Whom do I need to bribe to review this package?

I'd really like to be able to update perl-Test-Inline and to have it in FC-8,
but without this package having been add, this won't be possible.


Comment 3 Tom "spot" Callaway 2007-09-18 14:24:08 UTC
- License tag should be "GPL+ or Artistic".
- You don't need to state BuildRequires: perl >= 0:5.005, it will get pulled in
by BuildRequires:  perl(ExtUtils::MakeMaker)
- Missing BuildRequires: perl(Test::More) (and/or perl(Test::Builder), if you'd
prefer)

Make those changes, and I'll finish the review.

Comment 4 Robin Norwood 2007-09-18 15:19:22 UTC
Spot beat me to it - but I'll point out that rpmlint shows that Changes and
lib/Test/Script.pm are incorrectly marked as executable.

Comment 6 Tom "spot" Callaway 2007-09-18 17:32:33 UTC
Good:

- rpmlint checks return: Nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL+ or Artistic) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (8ceb782be03c0e0ce6f3b7097a327361468628b0)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

As usual, good work with the package Ralf.
APPROVED.



Comment 7 Ralf Corsepius 2007-09-19 02:19:37 UTC
New Package CVS Request
=======================
Package Name: perl-Test-Script
Short Description: Cross-platform basic tests for scripts
Owners: corsepiu
Branches: FC-6 F-7
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes

Comment 8 Kevin Fenzi 2007-09-19 03:58:33 UTC
cvs done.

Comment 9 Paul Howarth 2012-03-14 11:52:41 UTC
Package Change Request
======================
Package Name: perl-Test-Script
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig

Ralf has previously declared his non-interest in EPEL, which is why I am requesting this branch myself.

Comment 10 Gwyn Ciesla 2012-03-14 12:23:55 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-03-14 14:53:48 UTC
perl-Test-Script-1.06-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-Script-1.06-1.el5.1

Comment 12 Fedora Update System 2012-03-30 18:06:22 UTC
perl-Test-Script-1.06-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.